<?php

namespace App\Helpers;

use App\Models\Document;

class ExcelHelper
{
    public static function mapDataArray($users)
    {

        $data = [];
        foreach ($users as $user) {

            $title = $user['title'];
            $document_id = $user['document_id'];

            if ($user['is_published'] == true) {
                $is_published = "is published";
            } else {
                $is_published = "is unpublished";
            }

            if ($user['is_read']) {
                $is_read = "is read at";
            } else {
                $is_read = "is not read";
            }

            if ($user['opened_at']) {
                $opened_at =  $user['opened_at'];
            } else {
                $opened_at = "";
            }

            $document = Document::findOrFail($document_id);

            $data[] = "document: $document->name for task: $title $is_read  $opened_at";
        }

        return $data;


        //        "title" => "First Task"
        //  "is_published" => 1
        //  "document_id" => 22
        //  "is_read" => 0
        //  "opened_at" => null


    }
}
