<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl leading-tight dark:text-white">
            {{ __('messages.Archived Uses') }}
        </h2>
    </x-slot>

    <div class="py-2">
        @if (session()->has('message'))
            <div class="bg-teal-100 border-t-4 border-teal-500 rounded-b text-teal-900 px-4 py-3 shadow-md my-3" role="alert">
                <div class="flex">
                    <div>
                        <p class="text-sm">{{ session('message') }}</p>
                    </div>
                </div>
            </div>
        @endif
        <div class="bg-white text-gray-800 dark:bg-gray-800 dark:text-white overflow-hidden shadow-xl sm:rounded-lg p-4">
            @livewire('users.user-archive-table')
        </div>
    </div>
</x-app-layout>
