<div x-data="{
    show: <?php if ((object) ('showModal') instanceof \Livewire\WireDirective) : ?>window.Livewire.find('<?php echo e($_instance->id); ?>').entangle('<?php echo e('showModal'->value()); ?>')<?php echo e('showModal'->hasModifier('defer') ? '.defer' : ''); ?><?php else : ?>window.Livewire.find('<?php echo e($_instance->id); ?>').entangle('<?php echo e('showModal'); ?>')<?php endif; ?>
  }" x-show="show" x-cloak>

<div class="fixed z-10 inset-0" aria-labelledby="modal-title" role="dialog" aria-modal="true">
  <div class="flex items-end justify-center min-h-screen pt-4 px-4 pb-20 text-center sm:block sm:p-0">

    <div class="absolute inset-0 bg-gray-500 opacity-75"></div>

    <!-- This element is to trick the browser into centering the modal contents. -->
    <span class="hidden sm:inline-block sm:align-middle sm:h-screen" aria-hidden="true">&#8203;</span>

    <div class="inline-block align-bottom bg-white rounded-lg text-left overflow-hidden shadow-xl transform transition-all sm:my-8 sm:align-middle sm:max-w-lg sm:w-full">
      <div class="bg-white dark:bg-gray-800 px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
        <div class="sm:flex md:items-center sm:items-start">
          <div class="mx-auto flex-shrink-0 flex items-center justify-center h-12 w-12 rounded-full bg-green-100 sm:mx-0 sm:h-10 sm:w-10">
            <i class="fas fa-key"></i>
          </div>
          <div class="mt-3 text-center sm:mt-0 sm:ml-4 sm:text-left">
            <h3 class="text-lg leading-6 font-medium text-gray-900 dark:text-gray-300" id="modal-title">
               <?php echo e(__('messages.Add New Permission')); ?>

            </h3>
          </div>
        </div>
        <div class="mt-2 w-full">
              <div class="flex flex-wrap -mx-3 my-6">
                <div class="w-full px-3">
                  <label class="block uppercase tracking-wide text-gray-700 dark:text-gray-300 text-xs font-bold mb-2" for="grid-password">
                    <?php echo e(__('messages.Permission Name')); ?>

                  </label>
                  <input wire:model="permissionName" class="appearance-none block w-full bg-gray-200 dark:bg-gray-700 dark:text-gray-300 dark:focus:shadow-outline-gray dark:border-gray-600 text-gray-700 border border-gray-200 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="grid-password" type="text" placeholder="<?php echo e(__('messages.Provide New Permission Name')); ?>">
                  <p class="text-gray-600 text-xs italic dark:text-gray-400"><?php echo e(__('messages.Permission name should be unique')); ?></p>
                  <?php $__errorArgs = ['permissionName'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="error text-red-400"><?php echo e($message); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
              </div>
        </div>
      </div>
      <div class="bg-white dark:bg-gray-800 px-4 py-3 sm:px-6 sm:flex sm:flex-row-reverse">
        <button wire:click="addPermission" type="button" class="w-full inline-flex justify-center rounded-md border border-transparent shadow-sm px-4 py-2 bg-purple-600 text-base font-medium text-white hover:bg-purple-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-green-500 sm:ml-3 sm:w-auto sm:text-sm">
          <?php echo e(__('messages.Add')); ?>

        </button>
        <button wire:click="closeModal" x-on:click="show = false" type="button" class="mt-3 w-full inline-flex justify-center rounded-md border border-gray-300 shadow-sm px-4 py-2 bg-white text-base font-medium dark:bg-gray-700 dark:text-gray-200 text-gray-700 hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 sm:mt-0 sm:ml-3 sm:w-auto sm:text-sm">
          <?php echo e(__('messages.Cancel')); ?>

        </button>
      </div>
    </div>
  </div>
</div>
<?php /**PATH /home/ucodersnet/public_html/mnav/resources/views/livewire/permissions/add-new-permission.blade.php ENDPATH**/ ?>